from fastapi import APIRouter, HTTPException, status
from schemas.contact_form import ContactFormCreate, ContactFormSchema
from helpers.contact_form_helpers import create_contact_form, validate_contact_form_data

router = APIRouter()

@router.post("/contact-us", status_code=status.HTTP_201_CREATED, response_model=ContactFormSchema)
async def create_new_contact_form(contact_form_data: ContactFormCreate):
    """Create a new contact form"""
    try:
        validate_contact_form_data(contact_form_data)
        new_contact_form = create_contact_form(contact_form_data=contact_form_data)
        return new_contact_form
    except ValueError as e:
        raise HTTPException(status_code=400, detail=str(e))